Subject: Re: git svn clone fails

From: Jörg Schaible <[email-masked]>
Date: Thu, 03 Sep 2015 14:19:46 +0200

Hi Eric,

Eric Wong wrote:

> Jörg Schaible <[email-masked]> wrote:
>> Is there really no other place for a bug report? This will simply vanish
>> in the list's noise ...
> 
> These messages do get seen and read.  (And I would not have seen this
> message if it were posted anywhere else).

As first time poster for this list without any response in days I was simply 
not sure, if it was the correct place to report problems.

> But I don't have much time or motivation to work on git svn since it's
> mostly made itself obsolete for me.

That's our goal also, to make svn obsolete ;-)
All we need is a one time conversion.
 
> --preserve-empty-dirs probably hasn't seen much real-world use and
> (IIRC) not something that could always be 100% reliable.
> 
> Regardless of options, git svn does log empty directories, so there's
> also an obscure, probably equally-unused "git svn mkdirs" command which
> processes the unhandled.log files inside $GIT_DIR to recreate empty
> directories.  You could give that a try.

I am not sure, what you actually try to tell me here. How can I interfere in 
the complete "svn clone" process?

Note, that the problem seems really to be caused by some obscure condition. 
We can actually clone some svn trees that contain empty directories and they 
are properly handled with a .gitignore file. However, some fail for unknown 
reason.

I tried to recreate the situation with a separte non-critical svn 
playground, but was never able reproduce the problem. svn clone succeeded 
every time. Not very useful for an error report, I know. :-/

Cheers,
Jörg